Skip to main content
POST
/
integrations
/
gcp
Create GCP integration
curl --request POST \
  --url https://api.vantage.sh/v2/integrations/gcp \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "billing_account_id": "<string>",
  "project_id": "<string>",
  "dataset_name": "<string>"
}
'
{
  "token": "accss_crdntl_c36f82e698677581",
  "provider": "gcp",
  "account_identifier": "A11111-B22222-C33333",
  "status": "imported",
  "last_updated": null,
  "workspace_tokens": [],
  "created_at": "2024-07-29T21:41:46Z",
  "managed_account_tokens": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create a GCP Integration

billing_account_id
string
required

GCP billing account ID.

project_id
string
required

GCP project ID.

dataset_name
string
required

BigQuery dataset name.

Response

Integration model

token
string
required
provider
string
required

The name of the Integration.

Example:

"AWS"

account_identifier
string | null
required

The account identifier. For GCP this is the billing Account ID, for Azure this is the account ID

Example:

"011389-EF4C3E-3ED7AE"

status
enum<string>
required

The status of the Integration. Can be 'connected', 'error', 'pending', 'importing', 'imported', or 'disconnected'.

Available options:
connected,
error,
pending,
importing,
imported,
disconnected
Example:

"imported"

workspace_tokens
string[]
required

The tokens for any Workspaces that the account belongs to.

created_at
string
required

The date and time, in UTC, the Integration was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

managed_account_tokens
string[]
required

The tokens for any Managed Accounts that are associated with the Integration.

last_updated
string | null

The date and time, in UTC, when the Integration was last updated. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"